﻿using System;
using System.Xml;

namespace BlockingNullObjectChecker
{
    class Program
    {
        static void Main(string[] args)
        {
            var document = new XmlDocument();
            document.LoadXml(@"<catalog>
                                 <book>
                                    <title>Developer's Guide</title>
                                 </book>
                                 <book>
                                    <title>Tester's Guide</title>
                                 </book>
                               </catalog>");

            var logger = new ConsoleLogger();
            //var logger = new NullLogger();
            var docReader = new DocumentReaderV1(logger);

            docReader.Read(document);
            
            Console.ReadLine();
        }
    }
}
